打印

lnmp1.4 ssl自动更新出错,无法更新,请助

lnmp1.4 ssl自动更新出错,无法更新,请助

lnmp1.4 ssl自动更新命令时出错。请助,网上查了,找不到原因和解决方法。
之前更新过python至3.0,不知道是不是这个原因。但是已经把yum首行的python目录改为了原来默认的2.7了。
# whereis python
python: /usr/bin/python /usr/bin/python2.7 /usr/bin/python.backup /usr/bin/python2.7-config /usr/lib/python2.7 /usr/lib64/python2.7 /etc/python /usr/include/python2.7 /usr/share/man/man1/python.1.gz


ssl自动更新命令操作后:

[root@aaa lnmp1.4]# wget -O - http://soft.vpser.net/lnmp/ext/fix_renewssl.sh|bash
--2018-01-27 22:15:58--  http://soft.vpser.net/lnmp/ext/fix_renewssl.sh
正在解析主机 soft.vpser.net (soft.vpser.net)... 43.226.40.41, 2600:3c01::f03c:91ff:fe92:1a06
正在连接 soft.vpser.net (soft.vpser.net)|43.226.40.41|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 200 OK
长度:1410 (1.4K) [application/octet-stream]
正在保存至: “STDOUT”

100%[======================================>] 1,410       --.-K/s 用时 0s      

2018-01-27 22:15:58 (274 MB/s) - 已写入至标准输出 [1410/1410]

Remove Let's encrypt crontab renew rule...
Update Let's encrypt crontab renew rule...
OK.
Try to run certbot renew script...
Bootstrapping dependencies for RedHat-based OSes... (you can skip this with --no-bootstrap)
yum 是 /bin/yum
yum 已被哈希 (/bin/yum)
已加载插件:fastestmirror
Loading mirror speeds from cached hostfile
软件包 gcc-4.8.5-16.el7_4.1.x86_64 已安装并且是最新版本
软件包 augeas-libs-1.4.0-2.el7_4.2.x86_64 已安装并且是最新版本
软件包 1penssl-1.0.2k-8.el7.x86_64 已安装并且是最新版本
软件包 1penssl-devel-1.0.2k-8.el7.x86_64 已安装并且是最新版本
软件包 libffi-devel-3.0.13-18.el7.x86_64 已安装并且是最新版本
软件包 redhat-rpm-config-9.1.0-76.el7.centos.noarch 已安装并且是最新版本
软件包 ca-certificates-2017.2.14-71.el7.noarch 已安装并且是最新版本
软件包 python-devel-2.7.5-58.el7.x86_64 已安装并且是最新版本
软件包 python-virtualenv-1.10.1-4.el7.noarch 已安装并且是最新版本
软件包 python-tools-2.7.5-58.el7.x86_64 已安装并且是最新版本
软件包 python2-pip-8.1.2-5.el7.noarch 已安装并且是最新版本
无须任何处理
Creating virtual environment...
/bin/certbot: /bin/virtualenv: /usr/bin/python: 坏的解释器: 没有那个文件或目录



后来使用手动更新命令:
[root@aaa lnmp1.4]# /bin/certbot renew
Bootstrapping dependencies for RedHat-based OSes... (you can skip this with --no-bootstrap)
yum 是 /usr/bin/yum
yum 已被哈希 (/usr/bin/yum)
已加载插件:fastestmirror
Loading mirror speeds from cached hostfile
软件包 gcc-4.8.5-16.el7_4.1.x86_64 已安装并且是最新版本
软件包 augeas-libs-1.4.0-2.el7_4.2.x86_64 已安装并且是最新版本
软件包 1penssl-1.0.2k-8.el7.x86_64 已安装并且是最新版本
软件包 1penssl-devel-1.0.2k-8.el7.x86_64 已安装并且是最新版本
软件包 libffi-devel-3.0.13-18.el7.x86_64 已安装并且是最新版本
软件包 redhat-rpm-config-9.1.0-76.el7.centos.noarch 已安装并且是最新版本
软件包 ca-certificates-2017.2.14-71.el7.noarch 已安装并且是最新版本
软件包 python-devel-2.7.5-58.el7.x86_64 已安装并且是最新版本
软件包 python-virtualenv-1.10.1-4.el7.noarch 已安装并且是最新版本
软件包 python-tools-2.7.5-58.el7.x86_64 已安装并且是最新版本
软件包 python2-pip-8.1.2-5.el7.noarch 已安装并且是最新版本
无须任何处理
Creating virtual environment...
/bin/certbot: /usr/bin/virtualenv: /usr/bin/python: 坏的解释器: 没有那个文件或目录

TOP

首先你运行的下载并运行的这个文章上有说明只是用来修复crontab的续期规则的

你自动动过python没法说如何修复,https://lnmp.org/notice/lnmp-v1-5-beta.html 建议下载1.5安装包,用里面的 ./upgrade1.x-1.5.sh 升级后,再 ./upgrade1.x-1.5.sh ssh 按提示将使用letsencrypt的域名再重新迁移一下ssl证书

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP